Orders

GET /orders/{id}

View a specific order. Requires orders.read permission.

Path parameters

Name Type Required Description
id string yes The unique identifier of the record

Query parameters

Name Type Required Description
with[] string[] no Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: createdBy, updatedBy, organization, site, supplierOrganization, lines.

Responses

Status Description
200 A json object describing the order
403 The requesting user lacks appropriate permissions
404 The order was not found

Response 200 body

  • data object · required
  • meta object · required
{
    "data": {
        "id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
        "completedAt": "string",
        "confirmedAt": "string",
        "createdAt": "2024-06-30T19:00:00Z",
        "createdBy": {
            "id": "019222d9-d87d-7724-bba6-ba91503ea311",
            "firstName": "John",
            "lastName": "Doe"
        },
        "lines": [
            {
                "workTaskGroupId": "string",
                "displayOrder": 0,
                "workTask": {
                    "id": "string",
                    "canonicalId": "string",
                    "version": 0,
                    "name": "string",
                    "description": "string"
                },
                "steps": [
                    {
                        "workStepGroupId": "string",
                        "workStep": {
                            "id": null,
                            "canonicalId": null,
                            "version": null,
                            "name": null,
                            "description": null,
                            "riskLevel": null,
                            "order": null
                        },
                        "requirements": []
                    }
                ]
            }
        ],
        "notes": "string",
        "number": "25-0000001",
        "organization": {
            "id": "019222d9-d87d-7724-bba6-ba91503ea311",
            "name": "ACME Corporation"
        },
        "site": {
            "id": "019222d9-d87d-7724-bba6-ba91503ea311",
            "name": "Stockholm Office"
        },
        "status": "draft",
        "supplierOrganization": {
            "id": "019222d9-d87d-7724-bba6-ba91503ea311",
            "name": "ACME Corporation"
        },
        "updatedAt": "2024-06-30T19:00:00Z",
        "updatedBy": {
            "id": "019222d9-d87d-7724-bba6-ba91503ea311",
            "firstName": "John",
            "lastName": "Doe"
        }
    },
    "meta": {
        "requestId": "019a3a60-6328-7075-8a41-76ff545ca5d3",
        "userId": "019a3a60-929c-7820-9b35-bf79a8bf83a6",
        "organizationId": "019a3a60-8175-7a68-88da-ecb4a7040b86"
    }
}